aries-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Andrei Kabanov (Jira)" <j...@apache.org>
Subject [jira] [Created] (ARIES-1994) Unable to resolve resource org.apache.aries.jax.rs.whiteboard
Date Mon, 03 Aug 2020 19:54:00 GMT
Andrei Kabanov created ARIES-1994:
-------------------------------------

             Summary: Unable to resolve resource org.apache.aries.jax.rs.whiteboard
                 Key: ARIES-1994
                 URL: https://issues.apache.org/jira/browse/ARIES-1994
             Project: Aries
          Issue Type: Bug
          Components: jax-rs-whiteboard
         Environment: # Ubuntu 18.04
 # Java 1.8
 # Bndtools 5.1.2
            Reporter: Andrei Kabanov
             Fix For: jax-rs-whiteboard-1.0.8


Hello,

I try to use aries-jax-rs-whiteboard. I took version 1.0.9 from maven. I made simple project.
When I start it I have error:

! Failed to start bundle org.apache.aries.jax.rs.jackson-1.0.2, exception Uses constraint
violation. Unable to resolve resource org.apache.aries.jax.rs.whiteboard [org.apache.aries.jax.rs.whiteboard
[11](R 11.0)] because it is exposed to package 'javax.xml.bind' from resources jakarta.xml.bind-api
[jakarta.xml.bind-api [7](R 7.0)] and org.apache.felix.framework [org.apache.felix.framework
[0](R 0)] via two dependency chains.

Chain 1:
 org.apache.aries.jax.rs.whiteboard [org.apache.aries.jax.rs.whiteboard [11](R 11.0)]
 import: (&(osgi.wiring.package=javax.xml.bind)(version>=2.3.0)(!(version>=3.0.0)))
 |
 export: osgi.wiring.package: javax.xml.bind
 jakarta.xml.bind-api [jakarta.xml.bind-api [7](R 7.0)]

Chain 2:
 org.apache.aries.jax.rs.whiteboard [org.apache.aries.jax.rs.whiteboard [11](R 11.0)]
 require: (&(osgi.contract=JavaJAXRS)(version=2.1.0))
 |
 provide: [org.apache.aries.javax.jax.rs-api [10](R 10.0)] osgi.contract; \{osgi.contract=JavaJAXRS,
version=[2.1.0, 2.0.0, 1.1.0]}
 org.apache.aries.javax.jax.rs-api [org.apache.aries.javax.jax.rs-api [10](R 10.0)]
 import: (osgi.wiring.package=javax.xml.bind.annotation)
 |
 export: osgi.wiring.package: javax.xml.bind.annotation; uses:=javax.xml.bind
 export: osgi.wiring.package=javax.xml.bind
 org.apache.felix.framework [org.apache.felix.framework [0](R 0)] Unresolved requirements:
[[org.apache.aries.jax.rs.whiteboard [11](R 11.0)] osgi.contract; (&(osgi.contract=JavaJAXRS)(version=2.1.0))]
org.osgi.framework.BundleException: Uses constraint violation. Unable to resolve resource
org.apache.aries.jax.rs.whiteboard [org.apache.aries.jax.rs.whiteboard [11](R 11.0)] because
it is exposed to package 'javax.xml.bind' from resources jakarta.xml.bind-api [jakarta.xml.bind-api
[7](R 7.0)] and org.apache.felix.framework [org.apache.felix.framework [0](R 0)] via two dependency
chains.

Chain 1:
 org.apache.aries.jax.rs.whiteboard [org.apache.aries.jax.rs.whiteboard [11](R 11.0)]
 import: (&(osgi.wiring.package=javax.xml.bind)(version>=2.3.0)(!(version>=3.0.0)))
 |
 export: osgi.wiring.package: javax.xml.bind
 jakarta.xml.bind-api [jakarta.xml.bind-api [7](R 7.0)]

Chain 2:
 org.apache.aries.jax.rs.whiteboard [org.apache.aries.jax.rs.whiteboard [11](R 11.0)]
 require: (&(osgi.contract=JavaJAXRS)(version=2.1.0))
 |
 provide: [org.apache.aries.javax.jax.rs-api [10](R 10.0)] osgi.contract; \{osgi.contract=JavaJAXRS,
version=[2.1.0, 2.0.0, 1.1.0]}
 org.apache.aries.javax.jax.rs-api [org.apache.aries.javax.jax.rs-api [10](R 10.0)]
 import: (osgi.wiring.package=javax.xml.bind.annotation)
 |
 export: osgi.wiring.package: javax.xml.bind.annotation; uses:=javax.xml.bind
 export: osgi.wiring.package=javax.xml.bind
 org.apache.felix.framework [org.apache.felix.framework [0](R 0)] Unresolved requirements:
[[org.apache.aries.jax.rs.whiteboard [11](R 11.0)] osgi.contract; (&(osgi.contract=JavaJAXRS)(version=2.1.0))]
 at org.apache.felix.framework.Felix.resolveBundleRevision(Felix.java:4368)
 at org.apache.felix.framework.Felix.startBundle(Felix.java:2281)
 at org.apache.felix.framework.BundleImpl.start(BundleImpl.java:998)
 at aQute.launcher.Launcher.start(Launcher.java:670)
 at aQute.launcher.Launcher.startBundles(Launcher.java:650)
 at aQute.launcher.Launcher.activate(Launcher.java:556)
 at aQute.launcher.Launcher.launch(Launcher.java:398)
 at aQute.launcher.Launcher.run(Launcher.java:179)
 at aQute.launcher.Launcher.main(Launcher.java:155)
 at aQute.launcher.pre.EmbeddedLauncher.executeWithRunPath(EmbeddedLauncher.java:170)
 at aQute.launcher.pre.EmbeddedLauncher.findAndExecute(EmbeddedLauncher.java:135)
 at aQute.launcher.pre.EmbeddedLauncher.main(EmbeddedLauncher.java:52)



--
This message was sent by Atlassian Jira
(v8.3.4#803005)

Mime
View raw message